
body {
  padding-top: 70px;
  padding-bottom: 30px;
}
#logo { margin-right: 10px }
.text-white {
  color:white;
}
.bg-gray {
  background-color: lightgrey
}


.btn-primary.active,
.btn-primary:active {
background-image: none
}

.btn-primary {
color: #fff;
background-color: #999
}

.btn-primary.active,
.btn-primary.focus,
.btn-primary:active,
.btn-primary:focus,
.btn-primary:hover,
.open>.dropdown-toggle.btn-primary {
  color: #fff;
  background-color: grey;
  border-color: #6e6e6e
}

.btn-primary.disabled,
.btn-primary.disabled.active,
.btn-primary.disabled.focus,
.btn-primary.disabled:active,
.btn-primary.disabled:focus,
.btn-primary.disabled:hover,
.btn-primary[disabled],
.btn-primary[disabled].active,
.btn-primary[disabled].focus,
.btn-primary[disabled]:active,
.btn-primary[disabled]:focus,
.btn-primary[disabled]:hover,
fieldset[disabled] .btn-primary,
fieldset[disabled] .btn-primary.active,
fieldset[disabled] .btn-primary.focus,
fieldset[disabled] .btn-primary:active,
fieldset[disabled] .btn-primary:focus,
fieldset[disabled] .btn-primary:hover {
  background-color: #999;
  border-color: #8c8c8c
}

.btn-primary .badge {
color: #999;
background-color: #fff
}
.btn-primary {
text-shadow: 0 -1px 0 rgba(0, 0, 0, .2);
-webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, .15), 0 1px 1px rgba(0, 0, 0, .075);
box-shadow: inset 0 1px 0 rgba(255, 255, 255, .15), 0 1px 1px rgba(0, 0, 0, .075)
}

.btn-primary.active,
.btn-primary:active {
  -webkit-box-shadow: inset 0 3px 5px rgba(0, 0, 0, .125);
  box-shadow: inset 0 3px 5px rgba(0, 0, 0, .125)
}

.btn-primary {
background-image: -webkit-linear-gradient(top, #999 0, #7a7a7a 100%);
background-image: -o-linear-gradient(top, #999 0, #7a7a7a 100%);
background-image: linear-gradient(to bottom, #999 0, #7a7a7a 100%);
filter: progid: DXImageTransform.Microsoft.gradient(startColorstr='#ff999999', endColorstr='#ff7a7a7a', GradientType=0);
filter: progid: DXImageTransform.Microsoft.gradient(enabled=false);
background-repeat: repeat-x;
border-color: #757575
}

.btn-primary:focus,
.btn-primary:hover {
background-color: #7a7a7a;
background-position: 0 -15px
}

.btn-primary.active,
.btn-primary:active {
background-color: #7a7a7a;
border-color: #757575
}

.btn-primary.disabled,
.btn-primary:disabled,
.btn-primary[disabled] {
background-color: #7a7a7a;
background-image: none
}
.form-signin {
  max-width: 330px;
  padding: 15px;
  margin: 0 auto;
}
#grid1{
   border: 0;
}
/* .ui-grid-cell{
  background-color: #fff !important;
} */
.ui-grid-viewport{
  overflow: unset !important;
} 
.ui-grid-row
{
 margin-top: 10px !important;
 border:0 !important;
 

}
.action{
text-align: right;
}
.actionButton{
    height: 30px;
    margin-left: 5px;
    margin-right: 5px;
}

.ui-grid-cell{
  border: 0 !important;
  /* display: table-cell !important; */
  /* background-color: #fff !important; */
  
}

.watermark {
  position: absolute;
  top : 80px;
  opacity: 0.50;
  width: 100%;
  text-align: center;
  z-index: 1000;
}

.paddingLeft {
  padding-left: 20px;
}
.permissionNameGrid{
  text-align: center;
}

.actionGrid{
  text-align: left;
  float: left;
}

.scrollFiller{
  border: 0ch !important;

  /* position: relative !important; */

}

 .expandableRow{

overflow-y: scroll !important;
} 
  .text-center
  {
    text-align: center;
  }
 
  .invalid {
    border-color: red;
  }

.errorMessage {
    color: red;
  }

  .dropdown-role{
    width: auto;
     height: auto;
      overflow: auto;
     list-style-type: none;
     margin-right:25px;
     padding-left: 15px
  }
  .ui-grid, .ui-grid-viewport {
    height: auto !important;
  }
  
  .ui-grid-pager-panel {
   
     position: relative !important;
     left: auto;
     bottom: auto;
     padding-top: 0;
     padding-bottom: 0;
  }
  
  .ui-grid-pager-container, .ui-grid-pager-count-container {
   margin-top: 10px;
  }
  .ui-grid-pager-row-count-picker
  {
    visibility: hidden;
  }
  .toast-top-right{
    top :60px !important;
  }
  .navbar-inverse {
    background-image  : linear-gradient(to bottom,#7f7f7f 0,#666666 100%) !important;
  }
  .required{
    color:red;
}

.popover {
  text-decoration: none;
  color: black;
  position: absoblute;
  left: 100%;
  top: 0;
  display: block;
  width: max-content;
  width: -moz-max-content;
}

.popover span {
  display: block;
   font-weight: 700;
}

/* .caret.caret-up {
  border-top-width: 0;
  border-bottom: 4px solid #fff;
} */

.dropdown-menu .divider {
  height: 1px;
  margin: 9px 0;
  overflow: hidden;
  background-color: #e5e5e5;
}

.pull-right-hamburger {
  float: right !important;
}

a.linkHover:hover, a.linkHover:active {
  text-decoration: underline !important;
}
.emailTextClass{
  width:250px;
}

#noAuthPage {
  margin-top: 60px;
}

#noAuthContainer {
  border: 2px solid black;
  max-width: 640px;
}
.page-header{
  margin-top: 0px !important;
}

@media (max-width: 768px) {
  .navbar-nav .open .dropdown-menu {
    background-color: #ffffff;
    color: #000000 !important;
  }
  #userManagement{
    float: none !important;
    padding-left: 20px;
    padding-right: 20px;
  }
  #userControl{
    float: none !important;
    padding-left: 20px;
    padding-right: 20px;
  }
  #reports{
    float: none !important;
    padding-left: 20px;
    padding-right: 20px;
  }
}



@media (max-width: 990px) {
  .navbar-header {
      float: none;
  }
  .navbar-toggle {
      display: block;
  }
  /* .navbar-collapse.collapse {
    display: none!important;
  } */
  
  /* .navbar-nav {
      float: none!important;
      margin: 7.5px -15px;
  }
  */

  .navbar-nav .open .dropdown-menu {
    background-color: #ffffff;
    color: #000000 !important;
  }
  #userManagement{
    float: none !important;
    padding-left: 20px;
    padding-right: 20px;
  }
  #userControl{
    float: none !important;
    padding-left: 20px;
    padding-right: 20px;
  }
  #reports{
    float: none !important;
    padding-left: 20px;
    padding-right: 20px;
  }

  .navbar-nav .open .dropdown-menu {
    position: static;
    /* float: none; */
    width: auto;
    margin-top: 0;
    border: 0;
    -webkit-box-shadow: none;
    box-shadow: none;

    }
    
    .navbar-nav>li {
      float: none;
    }

  }

@media (width: 768px){

.navbar-collapse.collapse {
  display: none !important;
    }

    .navbar-collapse.collapse.in {
      display: block !important;
        }
    }


    @media only screen and (min-device-width: 700px) 
    and (max-device-width: 990px) 
    and (orientation: landscape) {

      .navbar-collapse.collapse {
        display: none !important;
          }
      
          .navbar-collapse.collapse.in {
            display: block !important;
              }
}

#loggedInMenu *,
#loggedInMenu * {
  color: #000000;
}

#reportsMenu *,
#reportsMenu * {
  color: #000000;
}
.info{ color:gray;
padding-top: 10px;}

.readonly-color{
  background-color: #fff !important;
}
.middle-header{
  background-color: #F4F4F4;
  padding: 5px;
  margin-bottom: 10px;
}

.btn-space {
  margin-left: 10px;
}
.small-font{
  font-size: 12px;
}


.navbar-inverse .navbar-toggle:hover {
  background-color: #666666 !important;
}

#hamburgerMenu {
  border: none;
}

input[type=number] {
  -moz-appearance: textfield;
}

/* Re-applies the controls on :hover and :focus */
input[type="number"]:hover,
input[type="number"]:focus {
  -moz-appearance: number-input;
}

.popoverLeft {
  left: -1450% !important;
  width: 200px !important;
  margin-top: -20px
}


.popoverLicense {
  width: 230px !important;
}